Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(224)

Issue 23526081: Add NULL check for renderBox::layer() on applying zoom level change (Closed)

Created:
7 years, 4 months ago by tzik
Modified:
7 years, 4 months ago
Reviewers:
tony
CC:
blink-reviews, eae+blinkwatch, leviw+renderwatch, jchaffraix+rendering
Base URL:
https://chromium.googlesource.com/chromium/blink.git@master
Visibility:
Public.

Description

Add NULL check for renderBox::layer() on applying zoom level change BUG=291293, 296164 R=tony@chromium.org TEST="The repro step on crbug.com/296164 should not crash" Committed: https://src.chromium.org/viewvc/blink?view=rev&revision=158238

Patch Set 1 #

Patch Set 2 : +test #

Patch Set 3 : +test #

Total comments: 2

Patch Set 4 : grammar fix #

Unified diffs Side-by-side diffs Delta from patch set Stats (+22 lines, -1 line) Patch
A LayoutTests/fast/css/zoom-on-nested-scroll-crash.html View 1 2 3 1 chunk +16 lines, -0 lines 0 comments Download
A LayoutTests/fast/css/zoom-on-nested-scroll-crash-expected.txt View 1 2 3 1 chunk +5 lines, -0 lines 0 comments Download
M Source/core/rendering/RenderBox.cpp View 1 chunk +1 line, -1 line 0 comments Download

Messages

Total messages: 8 (0 generated)
tzik
PTL
7 years, 4 months ago (2013-09-21 19:53:34 UTC) #1
tony
I think this fix is OK, but we need a layout test. The example you ...
7 years, 4 months ago (2013-09-23 16:38:14 UTC) #2
tzik
+test
7 years, 4 months ago (2013-09-23 19:33:57 UTC) #3
tzik
On 2013/09/23 16:38:14, tony wrote: > I think this fix is OK, but we need ...
7 years, 4 months ago (2013-09-23 19:51:15 UTC) #4
tony
LGTM https://codereview.chromium.org/23526081/diff/8001/LayoutTests/fast/css/zoom-on-nested-scroll-crash-expected.txt File LayoutTests/fast/css/zoom-on-nested-scroll-crash-expected.txt (right): https://codereview.chromium.org/23526081/diff/8001/LayoutTests/fast/css/zoom-on-nested-scroll-crash-expected.txt#newcode3 LayoutTests/fast/css/zoom-on-nested-scroll-crash-expected.txt:3: Zooming in (ctrl++) should not crash. The test ...
7 years, 4 months ago (2013-09-23 21:37:53 UTC) #5
tzik
Thanks! https://codereview.chromium.org/23526081/diff/8001/LayoutTests/fast/css/zoom-on-nested-scroll-crash-expected.txt File LayoutTests/fast/css/zoom-on-nested-scroll-crash-expected.txt (right): https://codereview.chromium.org/23526081/diff/8001/LayoutTests/fast/css/zoom-on-nested-scroll-crash-expected.txt#newcode3 LayoutTests/fast/css/zoom-on-nested-scroll-crash-expected.txt:3: Zooming in (ctrl++) should not crash. The test ...
7 years, 4 months ago (2013-09-24 01:47:43 UTC) #6
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-status.appspot.com/cq/tzik@chromium.org/23526081/20001
7 years, 4 months ago (2013-09-24 01:48:23 UTC) #7
commit-bot: I haz the power
7 years, 4 months ago (2013-09-24 04:37:44 UTC) #8
Message was sent while issue was closed.
Change committed as 158238

Powered by Google App Engine
This is Rietveld 408576698